function LaunchQueueJob(md,executionpath)
%LAUNCHQUEUEJOB - ...
%
%   Usage:
%      LaunchQueueJob(md,executionpath)

%First try and figure out if there is a special script for thie particular cluster
function_name=['LaunchQueueJob' md.cluster];
if exist(function_name,'file'),
	%Call this function:
	eval([function_name '(md,executionpath);']);
else
	%Call the generic LaunchQueueJob:
	LaunchQueueJobGeneric(md,executionpath);
end
